Update collection
curl --request PATCH \
--url https://server.twicecommerce.com/v1/admin/collections/{id} \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: <api-key>' \
--data '
{
"title": "<string>",
"description": "<string>",
"tagMatchType": "any",
"pageTitle": "<string>",
"metaDescription": "<string>",
"urlHandle": "<string>",
"slugs": [
"<string>"
],
"ogTitle": "<string>",
"ogDescription": "<string>",
"ogImageFileId": "<string>",
"noindex": true,
"salesChannelAdmin": true,
"salesChannelOnline": true
}
'import requests
url = "https://server.twicecommerce.com/v1/admin/collections/{id}"
payload = {
"title": "<string>",
"description": "<string>",
"tagMatchType": "any",
"pageTitle": "<string>",
"metaDescription": "<string>",
"urlHandle": "<string>",
"slugs": ["<string>"],
"ogTitle": "<string>",
"ogDescription": "<string>",
"ogImageFileId": "<string>",
"noindex": True,
"salesChannelAdmin": True,
"salesChannelOnline": True
}
headers = {
"X-API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'X-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: '<string>',
description: '<string>',
tagMatchType: 'any',
pageTitle: '<string>',
metaDescription: '<string>',
urlHandle: '<string>',
slugs: ['<string>'],
ogTitle: '<string>',
ogDescription: '<string>',
ogImageFileId: '<string>',
noindex: true,
salesChannelAdmin: true,
salesChannelOnline: true
})
};
fetch('https://server.twicecommerce.com/v1/admin/collections/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"title": "<string>",
"description": "<string>",
"type": "manual",
"tagMatchType": "all",
"salesChannelAdmin": true,
"salesChannelOnline": true,
"createdAt": "<string>",
"updatedAt": "<string>",
"archivedAt": "2023-11-07T05:31:56Z",
"catalogItems": {
"id": "<string>",
"collectionId": "<string>",
"catalogItemId": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>"
},
"smartConditions": {
"id": "<string>",
"collectionId": "<string>",
"tagId": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"tag": {
"id": "<string>",
"value": "<string>",
"scope": "inventory",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
},
"media": {
"fileId": "<string>",
"collectionId": "<string>",
"orderIndex": 123,
"media": {
"id": "<string>",
"tenantId": "<string>",
"fileUrl": "<string>",
"mimeType": "<string>",
"originalName": "<string>",
"folderPath": "<string>",
"size": 123,
"createdAt": "<string>",
"updatedAt": "<string>",
"deletedAt": "<string>",
"updatedById": "<string>",
"createdById": "<string>"
}
},
"aggregateData": {
"totalCount": 123,
"lastCreated": "2023-11-07T05:31:56Z",
"lastUpdated": "2023-11-07T05:31:56Z"
},
"pageTitle": "<string>",
"metaDescription": "<string>",
"urlHandle": "<string>",
"slug": "<string>",
"slugs": [
"<string>"
],
"ogTitle": "<string>",
"ogDescription": "<string>",
"ogImage": {
"id": "<string>",
"tenantId": "<string>",
"fileUrl": "<string>",
"mimeType": "<string>",
"originalName": "<string>",
"folderPath": "<string>",
"size": 123,
"createdAt": "<string>",
"updatedAt": "<string>",
"deletedAt": "<string>",
"updatedById": "<string>",
"createdById": "<string>"
},
"noindex": true
}Update collection
Updates a collection. Its items and smart conditions are managed via their own endpoints.
PATCH
/
v1
/
admin
/
collections
/
{id}
Update collection
Authorizations
API key for the Twice API
Path Parameters
Body
application/json
Body
Available options:
manual, smart Available options:
all, any Maximum array length:
50Maximum string length:
500Response
200
Available options:
manual, smart Available options:
all, any Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$Hide child attributes
Hide child attributes
Hide child attributes
Hide child attributes
Available options:
inventory, catalog, customers, orders Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$Hide child attributes
Hide child attributes
Hide child attributes
Hide child attributes
Hide child attributes
Hide child attributes
Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$Hide child attributes
Hide child attributes
Was this page helpful?